<?php 

if($_GET['type'] == 'add'){
if(user2('id',$_POST['userid'],WAPID)==NULL){die("用户不存在");}
$sql = 'INSERT INTO `bbs_hei` (`bbser_id`, `bbser_classid`, `bbser_siteid`, `bbser_userid`, `bbser_time`) VALUES (NULL, \''.$_GET['cid'].'\', \''.WAPID.'\', \''.user2('id',$_POST['userid'],WAPID).'\', \''.time().'\');';
$res = mysql_query($sql);
if($res &&  mysql_affected_rows()>0){
		echo '<div class="tip">加黑成功</div>';
	}else{
		echo '<div class="tip">加黑失败</div>';
	}
}
if($_GET['type'] == 'del'){
if(user2('id',$_GET['id'],WAPID)==NULL){die("用户不存在");}
$sql = 'DELETE FROM bbs_hei WHERE bbser_userid =\''.user2('id',$_GET['id'],WAPID).'\' AND bbser_siteid=\''.WAPID.'\' AND bbser_classid=\''.$_GET['cid'].'\';';
$res = mysql_query($sql);
if($res &&  mysql_affected_rows()>0){
		echo '<div class="tip">解黑成功</div>';
	}else{
		echo '<div class="tip">解黑失败</div>';
	}
}
$sql = 'SELECT * FROM `bbs_hei` WHERE bbser_siteid=\''.WAPID.'\' AND bbser_classid=\''.$_GET['cid'].'\' LIMIT 0, 30';
$res = mysql_query($sql);
if($res && mysql_num_rows($res)>0){
	while(list($bbser_id,$bbser_classid,$bbser_siteid,$bbser_userid,$bbser_time) = mysql_fetch_row($res)){
		$list .= user('nc','id',$bbser_userid).'('.user('xid','id',$bbser_userid).')[<a href="?act=list_adminer&type=del&cid='.$_GET['cid'].'&id='.user('xid','id',$bbser_userid).'">解禁</a>]<br>';
	}
}   
echo '<div class="title">版主列表</div>';
	echo '<form method="POST" action="?act=stop_ask&cid='.$_GET['cid'].'&type=add">
		<text>ID:</text>';
		echo '<input name="userid" type="text" value="">';
		echo '<br>';
		echo '<input type="submit" value="加黑">';
		echo '</form>';
echo '<div class="content">';
echo $list;
echo '</div>';
echo '<div class="mylink"><a href="admin.php?cid='.$_GET['cid'].'">版务管理</a></div>';